> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/getting-started/getting_started_showing_a_playlist.md).

# Showing a Playlist on Displays

Create a Playlist of content and Schedule to show on Displays.

You may have a set of content collated to meet a specific requirement which need to be shown in a rotating sequence on Displays. Playlists allow users to streamline resources and organise multiple content types to play in the order they need to be displayed.

Playlists can have content added by automatic assignment based on selected criteria or by manual selection. For this example Image content already uploaded to the CMS Media Library will be added to a Playlist manually.

## How-to Video Showing a Playlist

{% embed url="<https://youtu.be/2yLj4C1-zhA>" %}

## Add Playlist

* Click on **Playlists** under the **Library** section of the main CMS menu.
* Click the **Add Playlist** button.
* Provide a **Name** for easy identification in the CMS.
* Click Save and the **Playlist Editor** will open.

## Adding Content

* Using the Toolbox, click on **Library image search** to add Images from the CMS Library.
* Use the filters to locate the **Images** to add.
* Drag and drop images to add to the **Timeline**.
* Re-order the sequence by drag and drop.

You can view the total duration of the Playlist at the top of the Timeline.

* To change the duration of items in the Playlist, click to highlight and select the **Advanced** tab in the **Properties Panel**.
* Tick the **Set a duration** box and provide a new duration in seconds.
* Click the **Save** button to update the total duration of the Timeline.
* Select **Exit** to return to the Playlists grid.

## Select Playlist

* From the Playlists grid use the filters to locate the Playlist.
* Use the row menu and select **Schedule**.
* Select which **Displays** to show the Playlist on.
* If you want to use the default **Always** schedule, and happy with the default settings and have no further advanced scheduling options to set, you can click **Finish** to complete the schedule.
* If you want to select alternative created **Dayparts** or **Custom** dates, select **Next**.
* If you don't need to apply any further scheduling options and are happy with the defaults set for **Resolution**, **Background Colour** etc. click to **Finish**.

The CMS will now update a Schedule change and the Playlist will be shown on Displays for the timings set in the schedule.

## Further Reading

{% content-ref url="/pages/8UGAt6TKFG2DxAbXlD0C" %}
[Show an Image](/getting-started/getting_started_showing_an_image.md)
{% endcontent-ref %}

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

## FAQs

***Can I add Widgets to a Playlist?***

Yes, Widgets can be added using the Playlist Editor using the top button from the Toolbox.

***I don't see any Global or Data Elements to add to my Playlist?***

Elements are not available in the Playlist Editor. Data Widgets have a selection of Static Templates to choose from to display your data.

***Do I have to upload the files I want to use to the CMS Media Library before creating a Playlist?***

No, you can upload media directly to a Playlist by dragging the Upload card for a selected media type to the Timeline and use the file uploader.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/getting-started/getting_started_showing_a_playlist.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
